    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -------------------------
    028 * ByteAttributeHandler.java
    029 * -------------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: ByteAttributeHandler.java,v 1.2 2005/10/18 13:30:16 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 24.09.2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml.attributehandlers;
    044
    045/**
    046 * A class that handles the conversion of {@link Byte} attributes to and from an appropriate
    047 * {@link String} representation.
    048 */
    049public class ByteAttributeHandler implements AttributeHandler {
    050
    051    /**
    052     * Creates a new attribute handler.
    053     */
    054    public ByteAttributeHandler() {
    055        super();
    056    }
    057
    058    /**
    059     * Converts the attribute to a string.
    060     *
    061     * @param o  the attribute ({@link Byte} expected).
    062     *
    063     * @return A string representing the {@link Byte} value.
    064     */
    065    public String toAttributeValue(final Object o) {
    066        final Byte in = (Byte) o;
    067        return in.toString();
    068    }
    069
    070    /**
    071     * Converts a string to a {@link Byte}.
    072     *
    073     * @param s  the string.
    074     *
    075     * @return a {@link Byte}.
    076     */
    077    public Object toPropertyValue(final String s) {
    078        return new Byte(s);
    079    }
    080
    081}